Subject: bug#14058: 24.3; which-func-mode / python-mode == crazy slow

From: [email-masked]
Date: Fri, 05 Apr 2013 19:12:23 -0300

I can confirm this happens and that this is not python.el's
python-info-current-defun fault directly.

which-func-mode detects if a mode is elegible to use it by building the
imenu index. So the real issue here is how much python.el takes for
building it.

For now a simple workaround that avoids building the index at startup
when which-func-mode does the detection is to add 'python-mode to the
`which-func-modes' list. This way the `imenu-create-index-function' will
not be invoked.